DUB-FETCH(1)

NAME
dub-fetch - Explicitly retrieves and caches packages

SYNOPSIS
dub fetch <package>[@<version-spec>] OPTIONS...

DESCRIPTION
When run with one or more arguments, regardless of the location it is run in, it will fetch the packages matching the argument(s). Examples: $ dub fetch vibe-d $ dub fetch vibe-d@v0.9.0 --cache=local --recursive When run in a project with no arguments, it will fetch all dependencies for that project. If the project doesn't have set dependencies (no 'dub.selections.json'), it will also perform dependency resolution. Example: $ cd myProject && dub fetch Note that the 'build', 'run', and any other command that need packages will automatically perform fetch, hence it is not generally necessary to run this command before any other.

OPTIONS

-r, --recursive
    Also fetches dependencies of specified packages

--version=VALUE
    Use the specified version/branch instead of the latest available match The remove command also accepts "*" here as a wildcard to remove all versions of the package from the specified location

--force-remove
    Deprecated option that does nothing

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2025 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-add(1)